home · contact · privacy
More scripts fixing.
[config] / buster / setup_scripts / setup_eeepc.sh
index 1da21beffbbf5c2a842da8ffd6cd988c788edd51..fa3faeca86917c54bd9ff054e5be0332bcfe44bf 100755 (executable)
@@ -1,4 +1,4 @@
-#!/usr/bin/w
+#!/bin/sh
 set -e
 
 if [ "$#" -ne 1 ]; then
@@ -45,12 +45,12 @@ mv *.xpi "${extensions_dir}"
 # Set up user environments.
 cd "${setup_scripts_dir}"
 ./copy_dirtree.sh "${config_tree_prefix}/home_files" "/root" minimal root
-if [ ! -d "/home/plom" ]; then
-    adduser --disabled-password --gecos "" plom
-    usermod -a -G sudo plom
-    su -c "cd && git clone https://plomlompom.com/repos/clone/config" plom
-    su -c "~/config/buster/setup_scripts/copy_dirtree.sh ~/config/buster/home_files ~ minimal user_eeepc" plom
-    su -c "curl -fsSl https://raw.githubusercontent.com/tridactyl/tridactyl/78e662efefd1f4af2bdb2a53edecf03b535b997b/native/install.sh | bash" plom
-    passwd plom
-    echo "As tridactyl user, don't forget to do :source on the first Firefox run and then re-start."
+HOME_DIR_EXISTS=$([ ! -d "/home/plom" ]; echo $?)
+adduser --disabled-password --gecos "" plom
+usermod -a -G sudo plom
+if [ "${HOME_DIR_EXISTS}" -eq 0 ]; then
+    cp setup_home_eeepc.sh /home/plom
+    chown plom:plom /home/plom/setup_home_eeepc.sh
+    su -c "cd && ./setup_home_eeepc.sh" plom
 fi
+passwd plom